Retrieve worker's actionable journeys
Retrieves the actionable journeys assigned to the authenticated worker. Use it to build a learning dashboard for the worker or to drive reminders for their journeys.
Token scopes: worker:read
Authentication
AuthorizationBearer
Authentication
The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.
curl -X GET 'https://api.deel.training/rest/v2/contracts' \
-H 'Authorization: Bearer YOUR-TOKEN-HERE'
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/
Query parameters
journey_ids
Filter by Journey IDs.
journey_assignment_ids
Filter by JourneyAssignment IDs.
limit
Return a page of results with given number of records.
cursor
Cursor to the next page of results. If not provided, the first page will be returned.
Response
Successful retrieval of actionable journeys
data
next_cursor
Cursor to fetch the next page of results. Null if no more pages.
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error